> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shadeform.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# /volumes/types

> Get list of supported storage volumes.



## OpenAPI

````yaml get /volumes/types
openapi: 3.0.0
info:
  description: >-
    Shadeform is a single API and platform for deploying and managing cloud
    GPUs.
  version: 1.0.0
  title: Shadeform API
  contact:
    name: Shadeform
    email: support@shadeform.ai
    url: https://www.shadeform.ai
servers:
  - description: Shadeform Production
    url: https://api.shadeform.ai/v1
security:
  - ApiKeyAuth: []
paths:
  /volumes/types:
    get:
      summary: /volumes/types
      description: Get list of supported storage volumes.
      operationId: VolumesTypes
      responses:
        '200':
          description: Returns an VolumesTypesResponse object.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VolumesTypesResponse'
components:
  schemas:
    VolumesTypesResponse:
      type: object
      required:
        - volume_types
      properties:
        volume_types:
          $ref: '#/components/schemas/VolumeTypes'
    VolumeTypes:
      type: array
      items:
        type: object
        required:
          - cloud
          - region
          - supports_multi_mount
          - fixed_size
          - price_per_gb_per_hour
        properties:
          cloud:
            $ref: '#/components/schemas/Cloud'
          region:
            $ref: '#/components/schemas/Region'
          supports_multi_mount:
            $ref: '#/components/schemas/VolumeSupportsMultiMount'
          fixed_size:
            $ref: '#/components/schemas/VolumeFixedSize'
          price_per_gb_per_hour:
            $ref: '#/components/schemas/VolumePricePerGBPerHour'
    Cloud:
      type: string
      example: hyperstack
      description: >-
        Specifies the underlying cloud provider. See this
        [explanation](/getting-started/concepts#cloud-cloud-provider) for more
        details.
    Region:
      type: string
      example: canada-1
      description: Specifies the region.
    VolumeSupportsMultiMount:
      type: boolean
      example: true
      description: >-
        Denotes whether the volume supports multiple instances mounting to it at
        the same time.
    VolumeFixedSize:
      type: boolean
      example: true
      description: Denotes whether the volume is fixed in size or elastically scaling.
    VolumePricePerGBPerHour:
      type: string
      example: '0.0001'
      description: Price of the specified volume type per GB per hour
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````